<?php

require_once("../../comun/coneximpo.php");

require_once("../../comun/actions.php");

require_once("../../comun/funciones.php");

$action = new actions();

$usuarios_int = $_POST['usuarios_int'];
$area = $_POST['area'];
$password = $_POST['password'];
$activo = $_POST['activo'];
$perfil = $_POST['perfil'];
$rol = $_POST['rol'];
$email = $_POST['email'];
$funcion = utf8_decode($_POST['funcion']);
$compania = utf8_decode($_POST['compania']);
$user = utf8_decode($_POST['user']);
$name = utf8_decode($_POST['name']);
$operacion = $_POST['operacion'];
$logged = $_POST['logged'];
	
		if($operacion== "ALTA"){
				$rDat = data("select usuario from usuarioslpv where usuario = '$user' and id <>'$usuarios_int'");
				$err=0;
				if($rDat[0]!=''){
					$action->alert('Este usuario ya esta registrado, corrija para seguir');
					$err=1;
				}
				$rDat = data("select email from usuarioslpv where email = '$email' and id <>'$usuarios_int'");
				if($rDat[0]!=''){
					$action->alert('Este email ya esta registrado para otro usuario, corrija para seguir');
					$err=1;
				}
				if($err==0){
					mysqli_query("insert into usuarioslpv (`usuario`, `pass`, `name`, `tipoe`, `activo`,
					`email`, `rol`, `funcion`, `compania`, `perfil`,`creado`,fechaRegistro)
					values ('$user','$password','$name','$area','$activo',
					'$email','$rol','$funcion','$compania','$perfil','$logged',current_timestamp()) ");
				}
		}else{
				$rDat = data("select usuario from usuarioslpv where usuario = '$user' and id <>'$usuarios_int'");
				$err=0;
				if($rDat[0]!=''){
					$action->alert('Este usuario ya esta registrado, corrija para seguir');
					$err=1;
				}
				$rDat = data("select email from usuarioslpv where email = '$email' and id <>'$usuarios_int'");
				if($rDat[0]!=''){
					$action->alert('Este email ya esta registrado para otro usuario, corrija para seguir');
					$err=1;
				}
				
				if($err==0){ //
					mysqli_query("update usuarioslpv set 
					usuario = '$user',name='$name',tipoe='$area',activo='$activo',
					pass='$password',
					email='$email',rol='$rol',funcion='$funcion',compania='$compania',
					perfil='$perfil',editado='$logged',fechaUpdate=current_timestamp() where id='$usuarios_int'");
				}
		}

if($err==0){
	$action->alert( "Operación de $operacion OK" .mysqli_error());
	$action->text("valor",time());
	$action->trigger("valor","change");
	$action->add_js_code("Cancelar(document.forma)");	
}else{

}

$action->send_response();

return;

?>